package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * 
 * @author wallace
 */
@Entity
@SequenceGenerator(name = "CONEXION_RUTA_CONF_SEQ", sequenceName = "CONEXION_RUTA_CONF_SEQ", allocationSize = 1)
@Table(name = "CONEXION_RUTA_CONF")
public class ConexionRutaConf implements Serializable {
	private static final long serialVersionUID = 1L;
	@Id
	@Basic(optional = false)
	@GeneratedValue(strategy = GenerationType.AUTO, generator = "CONEXION_RUTA_CONF_SEQ")
	@Column(name = "CONEXIONRUTACONF_ID")
	private Integer conexionRutaConfId;
	@Column(name = "ACTIVO")
	private Boolean activo;
	@Column(name = "FECMODIF")
	@Temporal(TemporalType.TIMESTAMP)
	private Date fecmodif;
	@Column(name = "USUARIO_ID")
	private Integer usuarioId;
	@Column(name = "DESCRICAO")
	private String descricao;
	@Column(name = "TIEMPOMIN")
	private Integer tiempoMin;
	@Column(name = "TIEMPOMAX")
	private Integer tiempoMax;

	@Column(name = "DESCUENTO")
	private BigDecimal descuento;
	
	public ConexionRutaConf() {
		super();
	}

	public Boolean getActivo() {
		return activo;
	}

	public Integer getConexionRutaConfId() {
		return conexionRutaConfId;
	}


	public void setConexionRutaConfId(Integer conexionRutaConfId) {
		this.conexionRutaConfId = conexionRutaConfId;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	public Date getFecmodif() {
		return fecmodif;
	}

	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}

	public Integer getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public Integer getTiempoMin() {
		return tiempoMin;
	}

	public void setTiempoMin(Integer tiempoMin) {
		this.tiempoMin = tiempoMin;
	}

	public Integer getTiempoMax() {
		return tiempoMax;
	}

	public void setTiempoMax(Integer tiempoMax) {
		this.tiempoMax = tiempoMax;
	}

	@Override
	public String toString() {
		return "ConexionRutaConf [descricao=" + descricao + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((getConexionRutaConfId() == null) ? 0 : getConexionRutaConfId().hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof ConexionRutaConf))
			return false;
		ConexionRutaConf other = (ConexionRutaConf) obj;
		if (getConexionRutaConfId() == null) {
			if (other.getConexionRutaConfId() != null)
				return false;
		} else if (!getConexionRutaConfId().equals(other.getConexionRutaConfId()))
			return false;
		return true;
	}
	
	public BigDecimal getDescuento() {
		return descuento;
	}

	public void setDescuento(BigDecimal descuento) {
		this.descuento = descuento;
	}
}
